Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Tue, 30 Dec 2014 21:56:22 +0200

On 12/30/2014 06:00 PM, Eli Zaretskii wrote:

>> Trial and error isn't the worst way to learn things; at least if it
>> doesn't take too long.
>
> Turns out I missed '.' and ',', though.  So trial and error are
> evidently less efficient than we would want.

I guess this will be in the manual, which I'd be happy not to have to 
write at all, and probably won't write until the 25 feature freeze.

There's probably nothing to discuss about this further.

>> Apparently you didn't even need to read any documentation
>
> What documentation?

Any documentation. :)

> (Btw, it
> doesn't even say that if no identifier is found at point, it will
> prompt even without an argument.)

It does now, thanks.

>> That's as expected.  There is nothing to select on the first line.
>
> Then why let me position point there?

Because then you're ideally positioned to press `.' and see the buffer 
of the first match displayed.